import { removeCookies } from "@/utils/Cookies";
import Request from "./axios";

const BASE_URL = process.env.NEXT_PUBLIC_BASE_URL;
const server = new Request({
    timeout: 10 * 1000,
    baseURL: BASE_URL,
    transform: {
        // instance  interceptor
        requestInterceptor: (config) => {
            return config;
        },
        requestInterceptorCatch: (err) => {
            return err;
        },
        responseInterceptor: (config) => {
            return config;
        },
        responseInterceptorCatch: (err) => {
            const { response } = err;
            if (!response) return err;
            // @ts-ignore
            const { code } = response.data;
            switch (code) {
                case 401:
                    localStorage.removeItem("globalStore");
                    removeCookies("Token");
                    window && (location.href = "/br/login");
                    break;
                default:
                    return err;
            }
        },
    },
});

export { server };
